Subject: Re: [PATCH] Add extra logic required to detect endianness on Solaris

From: Junio C Hamano <[email-masked]>
Date: Thu, 01 May 2014 12:22:08 -0700

Junio C Hamano <[email-masked]> writes:

> Just a thought.
>
> I am wondering if you may want to go the other way around.  That is,
> instead of using "we have byte-order, big and little and the way to
> determine endianness is to see byte-order matches which of the
> latter two", use "there may be either big or little but not both
> defined, and that is how you learn the byte-order".
>
> And make these two macros match what Solaris happens to use.
>
> I am not sure which variant I like better myself, though.
> ...

The "how-about-this" patch in the pregvious message forgets the
default case where byte-order, little and big are defined with
leading double underscore, which must also be handled, if we want to
take this aproach.